RSSFeed(Fetching) Category Reference

`#import <RSSFeed+Fetching.h>`

## Instance Methods

(enum RSSFeedError) | - lastError
(enum RSSFeedError) | - fetch
(void) | - fetchInBackground

## Detailed Description

The ,,Fetching'' category of RSSFeed contains methods for the RSSFeed class, which are responsible for fetching and parsing feeds.

## Method Documentation

## fetch

- (enum RSSFeedError) fetch |  |  |

Fetches the feed from the web.

Returns
  An error number (of type enum RSSFeedError)

See also
  NSURL
  RSSFeedError

Fetches the feed from its feed URL, parses it and adds the found articles to the list of articles contained in this feed (if they are new).

Extends class RSSFeed.

## fetchInBackground

- (void) fetchInBackground |  |  |

Fetches the feed from the web. Feed fetching is done in the background. When the feed is fetched, the feed will post a RSSFeedFetchedNotification.

See also
  RSSFeedFetchedNotification

Extends class RSSFeed.

## lastError

- (enum RSSFeedError) lastError |  |  |

Returns the last fetching error.

Returns the last error. Guaranteed to return the last fetching result.

Extends class RSSFeed.

Referenced by RSSFeed::initWithURL:.

The documentation for this category was generated from the following files:

- RSSFeed+Fetching.h
- RSSFeed+Fetching.m